Connector (Freeplane API 1.13.2)
Description: declaration: package: org.freeplane.api, interface: Connector

Package org.freeplane.api

# Interface Connector

All Superinterfaces:
  `ConnectorRO`

All Known Subinterfaces:
  `Proxy.Connector`

public interface Connector extends ConnectorRO
Graphical connector between nodes:`node.connectorsIn` / `node.connectorsOut` - read-write.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setColor(Color color)`
  `void`
  `setColorCode(String rgbString)`
  `void`
  `setDashArray(int[] dashArray)`
  Since 1.7.10
  `void`
  `setEndArrow(boolean showArrow)`
  `void`
  `setInclination(List<Integer> startPoint, List<Integer> endPoint)`
  startPoint, endPoint: list of two integers representing a Point.
  `void`
  `setLabelFontFamily(String name)`
  Since 1.7.10
  `void`
  `setLabelFontSize(int size)`
  Since 1.7.10
  `void`
  `setMiddleLabel(String label)`
  `void`
  `setOpacity(int opacity)`
  0 <= opacity <= 255 Since 1.7.10
  `void`
  `setShape(String shape)`
  `void`
  `setSimulatesEdge(boolean simulatesEdge)`
  `void`
  `setSourceLabel(String label)`
  `void`
  `setStartArrow(boolean showArrow)`
  `void`
  `setTargetLabel(String label)`
  `void`
  `setWidth(int width)`
  Since 1.7.10

  ### Methods inherited from interface org.freeplane.api.ConnectorRO

  `getColor, getColorCode, getDashArray, getEndInclination, getLabelFontFamily, getLabelFontSize, getMiddleLabel, getOpacity, getShape, getSource, getSourceLabel, getStartInclination, getTarget, getTargetLabel, getWidth, hasEndArrow, hasStartArrow, simulatesEdge`

- ## Method Details

  - ### setShape

    void setShape(String shape)
    Parameters:
      `shape` - one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
    Since:
      1.3

  - ### setColor

    void setColor(Color color)

  - ### setColorCode

    void setColorCode(String rgbString)
    Parameters:
      `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
    Since:
      1.2

  - ### setEndArrow

    void setEndArrow(boolean showArrow)
    Since:
      1.2

  - ### setMiddleLabel

    void setMiddleLabel(String label)

  - ### setSimulatesEdge

    void setSimulatesEdge(boolean simulatesEdge)

  - ### setSourceLabel

    void setSourceLabel(String label)

  - ### setStartArrow

    void setStartArrow(boolean showArrow)
    Since:
      1.2

  - ### setTargetLabel

    void setTargetLabel(String label)

  - ### setInclination

    void setInclination(List<Integer> startPoint, List<Integer> endPoint)
    startPoint, endPoint: list of two integers representing a Point.
    Since:
      1.3.3

  - ### setDashArray

    void setDashArray(int[] dashArray)
    Since 1.7.10

  - ### setOpacity

    void setOpacity(int opacity)
    0 <= opacity <= 255 Since 1.7.10

  - ### setWidth

    void setWidth(int width)
    Since 1.7.10

  - ### setLabelFontFamily

    void setLabelFontFamily(String name)
    Since 1.7.10

  - ### setLabelFontSize

    void setLabelFontSize(int size)
    Since 1.7.10